# Uses of Class
org.a11y.brlapi.ProgramException

Packages that use ProgramException
Package
Description
org.a11y.brlapi
org.a11y.brlapi.clients
org.a11y.brlapi.commands

## Uses of ProgramException in org.a11y.brlapi

Subclasses of ProgramException in org.a11y.brlapi
Modifier and Type
Class
Description
`class`
`AuthenticationException`
`class`
`ConnectException`
`class`
`ExternalException`
`class`
`HostException`
`class`
`OperandException`
`class`
`SemanticException`
`class`
`SyntaxException`
`class`
`TooManyParametersException`
`class`
`UnavailableServiceException`
`class`
`UnknownHostException`
Methods in org.a11y.brlapi with parameters of type ProgramException
Modifier and Type
Method
Description
`protected void`
Program.`onProgramException(ProgramException exception)`
Methods in org.a11y.brlapi that throw ProgramException
Modifier and Type
Method
Description
`protected final Client`
Client.`rawMode(Connection connection, String driver, Client.RawModeTask task)`
`protected final Client`
Client.`rawMode(Connection connection, Client.RawModeTask task)`
`void`
Client.ClientTask.`run(Connection connection)`
`void`
Client.RawModeTask.`run(Connection connection)`
`void`
Client.TtyModeTask.`run(Connection connection)`
`protected abstract void`
Client.`runClient(Connection connection)`
`protected final void`
Client.`runProgram()`
`protected abstract void`
Program.`runProgram()`
`protected final Client`
Client.`ttyMode(Connection connection, boolean keys, Client.TtyModeTask task, int... path)`
`protected final Client`
Client.`ttyMode(Connection connection, String driver, Client.TtyModeTask task, int... path)`

## Uses of ProgramException in org.a11y.brlapi.clients

Methods in org.a11y.brlapi.clients that throw ProgramException
Modifier and Type
Method
Description
`protected final void`
ApiExceptionClient.`runClient(Connection connection)`
`protected final void`
EchoClient.`runClient(Connection connection)`
`protected void`
PauseClient.`runClient(Connection connection)`
`protected final void`
WriteArgumentsClient.`runClient(Connection connection)`
`protected final void`
WriteDotsClient.`runClient(Connection connection)`
`protected final void`
WriteTextClient.`runClient(Connection connection)`

## Uses of ProgramException in org.a11y.brlapi.commands

Methods in org.a11y.brlapi.commands that throw ProgramException
Modifier and Type
Method
Description
`protected final void`
ApiToolCommand.`runProgram()`